Lucene search

K
cvelistSnykCVELIST:CVE-2022-25850
HistoryMay 01, 2022 - 12:00 a.m.

CVE-2022-25850 Server-side Request Forgery (SSRF)

2022-05-0100:00:00
snyk
www.cve.org

7.5 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N/E:P

0.001 Low

EPSS

Percentile

51.0%

The package github.com/hoppscotch/proxyscotch before 1.0.0 are vulnerable to Server-side Request Forgery (SSRF) when interceptor mode is set to proxy. It occurs when an HTTP request is made by a backend server to an untrusted URL submitted by a user. It leads to a leakage of sensitive information from the server.

CNA Affected

[
  {
    "product": "github.com/hoppscotch/proxyscotch",
    "vendor": "n/a",
    "versions": [
      {
        "lessThan": "1.0.0",
        "status": "affected",
        "version": "unspecified",
        "versionType": "custom"
      }
    ]
  }
]

7.5 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N/E:P

0.001 Low

EPSS

Percentile

51.0%

Related for CVELIST:CVE-2022-25850